File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmx.h File Reference

`#include "gcstruct.h"`
`#include "dmxclient.h"`
`#include "globals.h"`
`#include "scrnintstr.h"`
`#include "picturestr.h"`

Go to the source code of this file.

## Data Structures
struct | _DMXScreenInfo
## Defines
#define | DMX_WRAP(_entry, _newfunc, _saved, _actual)
#define | DMX_UNWRAP(_entry, _saved, _actual)
## Typedefs
typedef _DMXInputInfo | DMXInputInfo
typedef _DMXStatInfo | DMXStatInfo
typedef _DMXScreenInfo | DMXScreenInfo
## Variables
int | dmxNumScreens
DMXScreenInfo * | dmxScreens
int | dmxShadowFB
XErrorEvent | dmxLastErrorEvent
Bool | dmxErrorOccurred
Bool | dmxOffScreenOpt
Bool | dmxSubdividePrimitives
Bool | dmxLazyWindowCreation
Bool | dmxUseXKB
int | dmxDepth
Bool | dmxNoRender
char * | dmxFontPath
Bool | dmxIgnoreBadFontPaths
Bool | dmxAddRemoveScreens

## Detailed Description

Main header file included by all other DMX-related files.

## Define Documentation

#define DMX_UNWRAP | ( | _entry,
|  | _saved,
|  | _actual |  | ) |

| Value:
    do {                                                                    \
        (_actual)->_entry = (_saved)->_entry;                               \
    } while (0)
Unwrap screen or GC function pointer

#define DMX_WRAP | ( | _entry,
|  | _newfunc,
|  | _saved,
|  | _actual |  | ) |

| Value:
    do {                                                                    \
        (_saved)->_entry  = (_actual)->_entry;                              \
        (_actual)->_entry = (_newfunc);                                     \
    } while (0)
Wrap screen or GC function pointer

## Typedef Documentation

typedef struct _DMXInputInfo DMXInputInfo

| Provide the typedef globally, but keep the contents opaque outside of the input routines. See also: dmxinput.h

typedef struct _DMXScreenInfo DMXScreenInfo

| Global structure containing information about each backend screen.

typedef struct _DMXStatInfo DMXStatInfo

| Provide the typedef globally, but keep the contents opaque outside of the XSync statistic routines. See also: dmxstat.c

## Variable Documentation

Bool dmxAddRemoveScreens

| True if add and remove screens support is enabled

int dmxDepth

| Requested depth if non-zero

Bool dmxErrorOccurred

| True if an error occurred

char* dmxFontPath

| NULL if no font path is set on the command line; otherwise, a string of comma separated paths built from the command line specified font paths

Bool dmxIgnoreBadFontPaths

| True if bad font paths should be ignored during server init

XErrorEvent dmxLastErrorEvent

| Last error that occurred

Bool dmxLazyWindowCreation

| True if using the lazy window creation optimization

Bool dmxNoRender

| True if the RENDER extension should be disabled

int dmxNumScreens

| Number of dmxScreens

Bool dmxOffScreenOpt

| True if using off screen optimizations

DMXScreenInfo* dmxScreens

| List of outputs

int dmxShadowFB

| Non-zero if using shadow frame-buffer (deprecated)

Bool dmxSubdividePrimitives

| True if using the primitive subdivision optimization

Bool dmxUseXKB

| True if the XKB extension should be used with the backend servers